Qt 5.9 | Qt Sensors | C++ Classes | QAmbientTemperatureSensor

Qt 5.9.9 Reference Documentation

# QAmbientTemperatureSensor Class

The QAmbientTemperatureSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QAmbientTemperatureSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QAmbientTemperatureSensor(QObject *parent = Q_NULLPTR)
| ~QAmbientTemperatureSensor()
QAmbientTemperatureReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QAmbientTemperatureSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QAmbientTemperatureReading instead of a QSensorReading.

For details about how the sensor works, see QAmbientTemperatureReading.

See also QAmbientTemperatureReading.

## Member Function Documentation

### QAmbientTemperatureSensor::QAmbientTemperatureSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### QAmbientTemperatureSensor::~QAmbientTemperatureSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QAmbientTemperatureReading *QAmbientTemperatureSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().